Package org.drinkless.tdlib

# Class TdApi.CheckStickerSetName

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.CheckStickerSetNameResult>
org.drinkless.tdlib.TdApi.CheckStickerSetName

Enclosing class:
  TdApi

public static class TdApi.CheckStickerSetName extends TdApi.Function<TdApi.CheckStickerSetNameResult>
Checks whether a name can be used for a new sticker set.

Returns `CheckStickerSetNameResult`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `name`
  Name to be checked.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckStickerSetName()`
  Default constructor for a function, which checks whether a name can be used for a new sticker set.
  `CheckStickerSetName(String name)`
  Creates a function, which checks whether a name can be used for a new sticker set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    Name to be checked.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CheckStickerSetName

    public CheckStickerSetName()
    Default constructor for a function, which checks whether a name can be used for a new sticker set.

    Returns `CheckStickerSetNameResult`

  - ### CheckStickerSetName

    public CheckStickerSetName(String name)
    Creates a function, which checks whether a name can be used for a new sticker set.

    Returns `CheckStickerSetNameResult`

    Parameters:
      `name` - Name to be checked.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.CheckStickerSetNameResult>`
    Returns:
      this.CONSTRUCTOR